Bug 86106 - [patch] ${CC} should be added to ${MAKE_ENV} when ${USE_GMAKE} is set
Summary: [patch] ${CC} should be added to ${MAKE_ENV} when ${USE_GMAKE} is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-14 09:40 UTC by Jean-Yves Lefort
Modified: 2008-07-24 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (267 bytes, patch)
2005-09-14 09:40 UTC, Jean-Yves Lefort
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Lefort freebsd_committer 2005-09-14 09:40:10 UTC
GNU make does not automatically inherit ${CC}; adding it to
${MAKE_ENV} in bsd.port.mk would be profitable.
Comment 1 Jean-Yves Lefort freebsd_committer 2005-09-14 09:49:44 UTC
On Wed, 14 Sep 2005 04:42:55 -0400
michael johnson <buhnux@gmail.com> wrote:

> On Sep 14, 2005, at 4:39 AM, Jean-Yves Lefort wrote:
> 
> > GNU make does not automatically inherit ${CC}; adding it to
> > ${MAKE_ENV} in bsd.port.mk would be profitable.
> >
> 
> The same would be true about ${CXX} also then.


Indeed:

--- bsd.port.mk.orig	Wed Sep 14 10:37:43 2005
+++ bsd.port.mk	Wed Sep 14 10:47:42 2005
@@ -1460,6 +1460,7 @@
 .if defined(USE_GMAKE)
 BUILD_DEPENDS+=		gmake:${PORTSDIR}/devel/gmake
 CONFIGURE_ENV+=	MAKE=${GMAKE}
+MAKE_ENV+=		CC="${CC}" CXX="${CXX}"
 .endif
 
 .if defined(USE_GCC)

-- 
Jean-Yves Lefort

jylefort@FreeBSD.org
http://lefort.be.eu.org/
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-09-14 10:09:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk patch.
Comment 3 Clement Laforet freebsd_committer 2005-10-19 20:13:09 UTC
State Changed
From-To: open->analyzed

Added to exp build. Thanks.
Comment 4 Clement Laforet freebsd_committer 2005-11-03 21:41:27 UTC
State Changed
From-To: analyzed->suspended

It needs more investigation. We still keep it in devel/portmk for  
further tests.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2007-05-25 04:18:22 UTC
State Changed
From-To: suspended->open

At the portmgr meeting at BSDCan 2007, we agreed that this is still a 
worthwhile idea.
Comment 6 Gabor Kovesdan freebsd_committer 2007-05-25 12:21:40 UTC
I'm working on it with another improvements and a big cleanup for the 
ports using MAKE_ENV, so please keep this open for the meantime, I'll 
send a patch soonish. I have a big patch for ports, but there are still 
some that should be cleaned up.

-- 
Gabor Kovesdan
FreeBSD Volunteer

EMAIL: gabor@FreeBSD.org .:|:. gabor@kovesdan.org
WEB:   http://people.FreeBSD.org/~gabor .:|:. http://kovesdan.org
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2007-05-29 20:37:56 UTC
State Changed
From-To: open->suspended

Awaiting patch from gabor.
Comment 8 Pav Lucistnik freebsd_committer 2008-07-24 23:27:59 UTC
State Changed
From-To: suspended->closed

CC was added to MAKE_ENV for all ports
Comment 9 dfilter service freebsd_committer 2008-07-24 23:29:47 UTC
pav         2008-07-24 22:29:33 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.gcc.mk bsd.port.mk 
    games/formido        Makefile 
    graphics/gdal/files  patch-swig-python-GNUmakefile 
    x11-toolkits/xmhtml  Makefile 
    x11-wm/sapphire      Makefile 
  Log:
  - Add CC and CXX to MAKE_ENV for all ports
  
  PR:             ports/86106, ports/101120 (based on)
  
  Revision  Changes    Path
  1.18      +1 -3      ports/Mk/bsd.gcc.mk
  1.600     +4 -3      ports/Mk/bsd.port.mk
  1.8       +2 -1      ports/games/formido/Makefile
  1.2       +1 -1      ports/graphics/gdal/files/patch-swig-python-GNUmakefile
  1.32      +1 -1      ports/x11-toolkits/xmhtml/Makefile
  1.21      +1 -1      ports/x11-wm/sapphire/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"